/************************************************************************
 Codelet Tuning Infrastructure
 Copyright (C) 2010-2015 Intel Corporation, CEA, GENCI, and UVSQ

 This program is free software: you can redistribute it and/or modify
 it under the terms of the GNU General Public License as published by
 the Free Software Foundation, either version 3 of the License, or
 (at your option) any later version.
 This program is distributed in the hope that it will be useful,
 but WITHOUT ANY WARRANTY; without even the implied warranty of
 MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 GNU General Public License for more details.
 You should have received a copy of the GNU General Public License
 along with this program.  If not, see <http://www.gnu.org/licenses/>.
************************************************************************/

/* Authors: Franck Talbart, Mathieu Bordet, Nicolas Petit */

/********************************************
* GENERAL
*********************************************/

html
{
    margin: 0;
}

body
{
    margin: 0;
}

*
{
    font-family: Helvetica, sans-serif;
}

input
{
    border:1px solid black;
    background-color:#FFFFFF;
}

input[type=text], input[type=password]
{ 
    background: url("field.png");
}

input[type=text]:focus, input[type=password]:focus
{ 
    background: url("field_selected.png");
}

select, option
{
    border:1px solid black;
    background-color:#D1D9EA;
}

textarea
{
    border:1px solid black;
    background-color:#D1D9EA;
}

/********************************************
* BLOCK
*********************************************/

.block
{
    position: relative;
    border:1px solid #b0aeae;
    border-radius: 5px;
    left: 10px;
    /* Fallback for web browsers that doesn't support RGBa */
    background: rgb(255, 255, 255);
    background: rgba(255, 255, 255, 0.6);
    width: 100%;
    margin-left: 1%;
    margin-right: 1%;
    z-index: 10;
    overflow: auto;
}

.block a
{
    color:black;
}

/********************************************
* LOGIN 
*********************************************/

#login
{
    position: relative;
    border:1px solid #b0aeae;
    background:#FFF;
    border-radius: 5px;
    -webkit-border-radius: 5px;
    left: 10px;
    width: 30%;
    margin-left: 1%;
    margin-right: 1%;
    overflow: auto;
}

/********************************************
* LEFT MENU 
*********************************************/

.navigation
{
  margin: 0;
  padding: 0;
  list-style: none;
  background: #000;
  color: #fff;
  width: 200px;
  font: 0.95em "Trebuchet MS", sans-serif;
}

.navigation a, .navigation span
{
  display: block;
  padding: 4px 10px;
  color: #fff;
  text-decoration: none;
  background: #000 url("menu-item.png") left bottom no-repeat;
}
.navigation .toggleSubMenu a, .navigation .toggleSubMenu span
{
  background-image: url("menu-item-deroule.png");
}
.navigation .open a, .navigation .open span
{
  background-image: url("menu-item-enroule.png");
}

.navigation .subMenu
{
  font-size: .9em;
  margin: 0;
  padding: 0;
  border-bottom: 1px solid #0e5f95;
  background: #1b7abc;
}
.navigation ul.subMenu a
{
  background: none;
  padding: 3px 20px;
}

#left_menu
{
    position:absolute;
    left: 0px;
    height:100%;
    background-image:url('background_left_menu.png');
    background-repeat:repeat-x;
    background-color: #f0eeee;
}

.navigation a:hover
{
    text-decoration:none;
    color: orange;
}

.navigation a.highlit
{
    text-decoration:none;
    color: orange;
}


/********************************************
* MAIN FRAME
*********************************************/

#main_frame
{
    position: relative;
    left: 200px;
    width: 82%;
    padding: 1px;
}

#bgimg
{
    position: absolute;
    bottom: 0px;
    right: 0px;
    width: 380px;
    height: 193px;
    z-index: 0;
    background-image: url('logo_ecr.png');
}

#main
{
    position: relative;
    background-color: #f0eeee;
    min-height: 640px;
}

/********************************************
* SAVED QUERIES
*********************************************/

.saved_queries
{
    bottom:0px;
    position:absolute;
    width: 100%;
}

.saved_queries .content
{
    display: block;
    overflow-y: scroll;
    height: 130px;
    background-color:#E6E6E6;
}

/********************************************
* CODE MIRROR 
*********************************************/

.line-error
{
    background: #F7C273 !important;
    color: #8a1f11 !important;
}

/********************************************
* CALENDAR 
*********************************************/

.ui-datepicker
{ 
    background-color: white;
}

.ui-timepicker-div dl dt
{ 
    height: 25px; 
    margin-bottom: -25px; 
}

.ui-timepicker-div dl dd
{
    margin: 0 10px 10px 65px;
}

.ui-slider { position: relative; text-align: left; }
.ui-slider .ui-slider-handle { position: absolute; z-index: 2; width: 1.2em; height: 1.2em; cursor: pointer; background-color: #A7A37E; }
.ui-slider .ui-slider-range { position: absolute; z-index: 1; font-size: .7em; display: block; border: 0; background-position: 0 0;}

.ui-slider-horizontal { height: .8em; }
.ui-slider-horizontal .ui-slider-handle { top: -.3em; margin-left: -.6em; }
.ui-slider-horizontal .ui-slider-range { top: 0; height: 100%; }
.ui-slider-horizontal .ui-slider-range-min { left: 0; }
.ui-slider-horizontal .ui-slider-range-max { right: 0; }

.ui-slider-vertical { width: .8em; height: 100px; }
.ui-slider-vertical .ui-slider-handle { left: -.3em; margin-left: 0; margin-bottom: -.6em; }
.ui-slider-vertical .ui-slider-range { left: 0; width: 100%; }
.ui-slider-vertical .ui-slider-range-min { bottom: 0; }
.ui-slider-vertical .ui-slider-range-max { top: 0; }
.ui-datepicker { width: 17em; padding: .2em .2em 0; display: none; }
.ui-datepicker .ui-datepicker-header { position:relative; padding:.2em 0; }
.ui-datepicker .ui-datepicker-prev, .ui-datepicker .ui-datepicker-next { position:absolute; top: 2px; width: 1.8em; height: 1.8em; }
.ui-datepicker .ui-datepicker-prev-hover, .ui-datepicker .ui-datepicker-next-hover { top: 1px; }
.ui-datepicker .ui-datepicker-prev { left:2px; }
.ui-datepicker .ui-datepicker-next { right:2px; }
.ui-datepicker .ui-datepicker-prev-hover { left:1px; }
.ui-datepicker .ui-datepicker-next-hover { right:1px; }
.ui-datepicker .ui-datepicker-prev span, .ui-datepicker .ui-datepicker-next span { display: block; position: absolute; left: 50%; margin-left: -8px; top: 50%; margin-top: -8px;  }
.ui-datepicker .ui-datepicker-title { margin: 0 2.3em; line-height: 1.8em; text-align: center; }
.ui-datepicker .ui-datepicker-title select { font-size:1em; margin:1px 0; }
.ui-datepicker select.ui-datepicker-month-year {width: 100%;}
.ui-datepicker select.ui-datepicker-month, 
.ui-datepicker select.ui-datepicker-year { width: 49%;}
.ui-datepicker table {width: 100%; font-size: .9em; border-collapse: collapse; margin:0 0 .4em; }
.ui-datepicker th { padding: .7em .3em; text-align: center; font-weight: bold; border: 0;  }
.ui-datepicker td { border: 0; padding: 1px; }
.ui-datepicker td span, .ui-datepicker td a { display: block; padding: .2em; text-align: right; text-decoration: none; }
.ui-datepicker .ui-datepicker-buttonpane { margin: .7em 0 0 0; padding:0 .2em; border-left: 0; border-right: 0; border-bottom: 0; }
.ui-datepicker .ui-datepicker-buttonpane button { float: right; margin: .5em .2em .4em; cursor: pointer; padding: .2em .6em .3em .6em; width:auto; overflow:visible; }
.ui-datepicker .ui-datepicker-buttonpane button.ui-datepicker-current { float:left; }
.ui-datepicker.ui-datepicker-multi { width:auto; }
.ui-datepicker-multi .ui-datepicker-group { float:left; }
.ui-datepicker-multi .ui-datepicker-group table { width:95%; margin:0 auto .4em; }
.ui-datepicker-multi-2 .ui-datepicker-group { width:50%; }
.ui-datepicker-multi-3 .ui-datepicker-group { width:33.3%; }
.ui-datepicker-multi-4 .ui-datepicker-group { width:25%; }
.ui-datepicker-multi .ui-datepicker-group-last .ui-datepicker-header { border-left-width:0; }
.ui-datepicker-multi .ui-datepicker-group-middle .ui-datepicker-header { border-left-width:0; }
.ui-datepicker-multi .ui-datepicker-buttonpane { clear:left; }
.ui-datepicker-row-break { clear:both; width:100%; font-size:0em; }

/********************************************
* LINKS
*********************************************/

a
{
    color:#2A4284;
    text-decoration: none;
}

a:hover
{
    text-decoration: none;
    color: gray;
}

a img
{
    border-style: none;
    background-color: transparent;
}

/********************************************
* TABLE
*********************************************/

table 
{
    width: 100%;
    border-collapse: separate;
    border-spacing: 0px 0px;
}

table tr:nth-child(2n+2)
{
    background-color: #f0eeee;
}

thead
{
    font-size: 13px;
    background: url("field.png");
}

thead th
{
    text-align: left;
    white-space: nowrap;
    padding: 5px;
}

thead a:hover
{
    color: gray;
}

tbody tr:hover
{
    background-color:#b0aeae;
} 

tbody tr
{
    font-size: 12px;
}

tbody td
{
    border-left: thin solid gray;
}

tbody td a
{

    display: block;
    width: 100%;
    height: 100%;
}

/********************************************
* TITLE
*********************************************/

h1
{
  padding: 2px 100px 2px 5px; /* padding-top padding-right padding-bottom padding-left */
  margin-left: 20px; 
  margin-right: 20px; 
  color: #000;
  font-size: 20px;
  border-bottom: solid #b0aeae 1px;
}

h2
{
  padding: 2px 10px 2px 5px; /* padding-top padding-right padding-bottom padding-left */
  margin-left: 15px; 
  font-size: 20px;
}


h3
{
  padding: 2px 10px 2px 5px; /* padding-top padding-right padding-bottom padding-left */
  margin-left: 20px; 
  font-size: 18px;
}


/********************************************
* TOP MENU
*********************************************/

#top-menu
{
    height:1.8em;
    font-size: 0.9em;
    padding: 2px 0px 0px 10px;
    border-bottom: 1px solid #276f9f;
    border-top: 1px solid #276f9f;
    background-color: #f0eeee;
    background-image:url('background_top_menu.png');
    background-repeat:repeat-y;
}

#top-menu-list ul li:after 
{
    content: url('separator.png');
}

#top-menu ul
{
    margin: 0; 
    padding: 0;
}
#top-menu li
{
    float:left;
    list-style-type:none;
    margin: 4px 0px 0px 0px;
    padding: 0px 8px 0px 0px;
}

#top-menu a
{
    margin-right: 8px;
    text-decoration:none;
    color: white;
    font-weight: bold;
}

#top-menu a:hover
{
    color:orange;
}

#top-menu a.highlit
{
    color:orange;
}

/********************************************
* TOP RIGHT MENU
*********************************************/

#top-right-menu
{
    font-size: 0.7em;
}

#top-right-menu ul
{
    margin: 0; 
    padding: 0;
}
#top-right-menu li
{
    float:right;
    list-style-type:none;
    margin: 4px 0px 0px 0px;
    padding: 0px 8px 0px 0px;
    text-align:center;
}

#top-right-menu a
{
    text-decoration:none;
    color: white;
}

/********************************************
* MENU
*********************************************/

#search_box
{
    float: right;
}

#advanced_search_box
{
    position: absolute; top: 133px; right: 77px; width: 350px;
    z-index: 2000;
}

#advanced_search_box a
{
    color: black;
}

#advanced_search_box a:hover
{
    color: gray;
}

#search_query
{
    width: 350px;
}

#search_button
{
    background-color:#0e5f95;
    color:#FFFFFF
}

/********************************************
* HEADER
*********************************************/

#header
{
    background-color:#0e5f95;
    height:105px;
}

/********************************************
* LOGIN_HEAD
*********************************************/

#login_head
{
    position: absolute;
    top: 75px;
    right:10px;
    font-size: 0.8em; 
    color: #ffffff; 
}

#login_head a
{
    color: #ffffff
}

/********************************************
* FOOTER
*********************************************/

#footer
{

    border-top: 1px solid #bbb; 
    font-size: 0.9em; 
    color: #7e7f80; 
    text-align:center; 
    position: absolute;
    width:100%;
    padding-top: 7px; 
}

/********************************************
* LOGOS
*********************************************/

#logo_left
{
    float: left;
}

/********************************************
* LIST
*********************************************/

li
{
    list-style-type:none; 
}

/********************************************
* LOADING WITH AJAX
*********************************************/

.ajax-loading
{
   position: absolute;
   top: 200px;
   left: 50%;
   z-index: 1000;
}

/********************************************
* FULL VIEW PAGE
*********************************************/

#file-content .block
{
    padding: 5px 0 5px 0;
    z-index: 1;
}
.block.full-view { background-color: white; }

.full-view-space { margin-bottom: 20px; }

.full-view-widget
{
    position: absolute;
    width: 250px;
    height: 200px;
}

.full-view-widget .block { background-color: inherit; }
.full-view-widget-left { left: 0; }
.full-view-widget-right { left: 78%; }
#full-view-property { top: 10px; }
#full-view-link { top: 10px; }
#full-view-command
{
    top: 150px;
    z-index: 1;
}
#full-view-command a, #full-view-link a { color: #0e5f95; }
#full-view-command a:hover, #full-view-link a:hover { text-decoration: underline; }

.full-view table
{
    width: auto;
    margin: auto;
    padding: 10px 0 10px 0;
}

.full-view table tbody tr, .full-view-widget table tbody tr { font-size: 0.8em; }
.full-view table tbody tr:hover, .full-view-widget table tbody tr:hover { background-color: inherit; }

.full-view select
{
    width: 150px;
}

#file-content .block img { width: 40%; }

.side-by-side div { float: left; }

/********************************************
* FULL VIEW TOOLBAR
*********************************************/

#toolbar
{
    position: relative;
    top: 10px;
    margin: auto;
    padding: 5px;
    width: 480px;
    border: 1px solid #b0aeae;
    border-radius: 5px;
    -webkit-border-radius: 5px;
    font-size: 0.7em;
}

#toolbar ul
{
    margin: 0;
    padding: 0;
}
#toolbar li
{
    display: inline-block;
    list-style-type: none;
    padding-right: 5px;
    text-align: center;
}

#toolbar li.separator { padding-right: 20px; }
#toolbar li:last-child { padding-right: 0; }

#toolbar a
{
    text-decoration: none;
    color: #0e5f95;
}

#toolbar a img, #toolbar span img
{
    border: 0;
    height: 40px;
}

/********************************************
* DASHBOARD
*********************************************/
.widget
{
    width: 400px;
    height: 200px;
    padding: 5px;
    border: 1px solid #b0aeae;
    border-radius: 5px;
    -webkit-border-radius: 5px;
    font-size: 0.9em;
}

.widget .close { float: right; }
.widget .close input { border: 0; }
.widget .title
{
    padding-bottom: 10px;
    text-align: center;
}
.widget .title input { width: 150px; }
.widget .content
{
    height: 75%;
    padding: 15px 0 15px 15px;
    text-align: center;
}
.widget .color
{
    float: right;
    margin-top: 5px;
}

.ui-icon { width: 16px; height: 16px; background-image: url(ui-icons_222222_256x240.png); }
.ui-resizable { position: relative;}
.ui-resizable-handle { position: absolute;font-size: 0.1px;z-index: 99999; display: block;}
.ui-resizable-disabled .ui-resizable-handle, .ui-resizable-autohide .ui-resizable-handle { display: none; }
.ui-resizable-n { cursor: n-resize; height: 7px; width: 100%; top: -5px; left: 0px; }
.ui-resizable-s { cursor: s-resize; height: 7px; width: 100%; bottom: -5px; left: 0px; }
.ui-resizable-e { cursor: e-resize; width: 7px; right: -5px; top: 0px; height: 100%; }
.ui-resizable-w { cursor: w-resize; width: 7px; left: -5px; top: 0px; height: 100%; }
.ui-resizable-se { cursor: se-resize; width: 12px; height: 12px; right: 1px; bottom: 1px; }
.ui-resizable-sw { cursor: sw-resize; width: 9px; height: 9px; left: -5px; bottom: -5px; }
.ui-resizable-nw { cursor: nw-resize; width: 9px; height: 9px; left: -5px; top: -5px; }
.ui-resizable-ne { cursor: ne-resize; width: 9px; height: 9px; right: -5px; top: -5px;}
.ui-icon-gripsmall-diagonal-se { background-position: -64px -224px; }

/********************************************
* TABS
*********************************************/

#tabs
{
    font : bold 11px Batang, arial, serif;
    list-style-type : none;
    padding-bottom : 24px;
    border-bottom : 1px solid #9EA0A1;
    margin-left : 0;
}

#tabs li
{
    float : left;
    height : 21px; /* à modifier suivant la taille de la police pour centrer le texte dans l'onglet */
    background-color: #F4F9FD;
    margin : 2px 2px 0 2px !important;  /* Pour les navigateurs autre que IE */
    margin : 1px 2px 0 2px;  /* Pour IE  */
    border : 1px solid #9EA0A1;
}

#tabs li.active
{
    border-bottom: 1px solid #fff;
    background-color: #fff;
}

#tabs a
{
   display : block;
   color : #666;
   text-decoration : none;
   padding : 4px;
}

tabs a:hover
{
   background : #fff;
}




/********************************************
* CLUSTERING COLORS
*********************************************/

.cts_clustering_color_null
{
  background-color:#777777;
}

.cts_clustering_color_med
{
  background-color:#33FF33;
}

.cts_clustering_color_low
{
  background-color:#CBF2F3;
}
.cts_clustering_color_lower
{
  background-color:#86E1E2;
}
.cts_clustering_color_lowest
{
  background-color:#2EBEC0;
}

.cts_clustering_color_high
{
  background-color:#F5C0A3;
}
.cts_clustering_color_higher
{
  background-color:#F1A175;
}
.cts_clustering_color_highest
{
  background-color:#EB7E43;
}

/********************************************
* OTHERS
*********************************************/

